EDVIPS(1)

NAME
edvips - edit header of a vips image file

SYNOPSIS
edvips [OPTION...] vipsfile

DESCRIPTION
edvips alters a VIPS image file's header. This is useful for setting the resolution, for example. The options are:
  -x, --xsize=N set Xsize to N
  -y, --ysize=N set Ysize to N
  -b, --bands=N set Bands to N
  -f, --format=F set BandFmt to F (eg. uchar)
  -i, --interpretation=I
                      set Interpretation to I (eg. xyz)
  -c, --coding=C set Coding to C (eg. labq)
  -X, --xres=R set Xres to R pixels/mm
  -Y, --yres=R set Yres to R pixels/mm
  -u, --xoffset=N set Xoffset to N
  -v, --yoffset=N set Yoffset to N
  -e, --setext replace extension block with stdin Be very careful when changing Xsize, Ysize, BandFmt or Bands. edvips does no checking!

EXAMPLES
To set the Xsize to 512 and Bands to 6:
  edvips --xsize=512 --bands=6 fred.v or
  edvips -x 512 -b 6 fred.v Extract the XML metadata from an image with header(1), edit it, and reattach with edvips(1).
  header -f getext fred.v | sed s/banana/pineapple/ | edvips -e fred.v

RETURN VALUE
returns 0 on success and non-zero on error.

SEE ALSO
header(1)

COPYRIGHT
K. Martinez 1993